Skip to main content
GET
/
v1
/
view
/
exchange
/
status
Get exchange status
curl --request GET \
  --url https://perp-api.phoenix.trade/v1/view/exchange/status \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://perp-api.phoenix.trade/v1/view/exchange/status"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://perp-api.phoenix.trade/v1/view/exchange/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "active": true,
  "gated": true,
  "withdrawalsAvailable": true
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer access token issued by /v1/auth/* login endpoints.

Response

Exchange status

Exchange status view containing the current operational status of the exchange.

active
boolean
required

Whether the exchange is active (accepting orders)

gated
boolean
required

Whether the exchange is in gated mode (restricted access)

withdrawalsAvailable
boolean

Whether withdrawals are currently available.